﻿body {
    padding-top: 0px;
    padding-bottom: 20px;
}

/* Set padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
}

/* Override the default bootstrap behavior where horizontal description lists 
   will truncate terms that are too long to fit in the left column 
*/
.dl-horizontal dt {
    white-space: normal;
}

thead.thead-dark {
    background: #343a40;
    color: white;
}

select {
    cursor: pointer;
    margin-top: 5px
}
/* Set width on the form input elements since they're 100% wide by default */
/*
input,
select,
textarea {
    max-width: 280px;
}*/


/*
   ################# A design Area for ProgressControl and its view #################
*/
.StudentImage {
    width: 100%;
    height: 400px;
}

/*.studentAttendance {
    padding-top: 50px !important;
}*/

/* ./
   ################# A design Area for ProgressControl and its view #################
*/

/*
   ################# Writing Area #################
*/

.Criteria-Content, .Re-Criteria-Content {
    width: 260px;
}


.aiMarkTicked {
    border-radius: 15px;
    background-color: #12C123;
    color: white;
}
.aiMarkTickedBefore {
    border: 1px solid #12C123;
    border-radius: 15px;
}

.Mark-Ticked {
    background-color: rosybrown;
    border-radius: 15px;
    color: white;
}

.linkdisabled {
    cursor: text;
    text-decoration: line-through;
    color: darkslateblue;
}

.Custom-Collapsable {
    background-color: snow;
    color: midnightblue;
    cursor: pointer;
    padding: 0 5px;
    width: 100%;
    border: none;
    text-align: left;
    outline: none;
    font-size: 15px;
}

    .custom-active, .Custom-Collapsable:hover {
        background-color: darkseagreen;
    }

.Collapsable-Content {
    padding: 0 5px;
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.2s ease-out;
    background-color: #f1f1f1;
    display: block;
}

.custom-text-wrap {
    word-wrap: break-word;
    min-width: 160px;
    max-width: 160px;
}

.OnAndOffView {
    display: none;
}

.font-small {
    font: smaller;
}
/* ./
   ################# Writing Area #################
*/
td.active {
    background-color: #69b6cc;
    color: #ffffff;
}

#body td.active {
    cursor: pointer;
}

.label-select {
    font-weight: 500;
    font-size: 18px;
}

#empTable td, #empTableAll td {
    padding: 0.5rem !important;
    vertical-align: middle;
}

#empTable tr:nth-child(even), #empTableAll tr:nth-child(even) {
    background-color: #dee2e69c;
}

#empTable {
    max-width: 1340px;
    left: 0;
    right: 0;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
    margin-top: 20px;
    display: table;
}

thead.thead-dark tr td:nth-child(3) {
    /*min-width:200px;*/
}

.show-all-table {
    display: none;
}

.column-date p {
    white-space: nowrap;
}

.header-makeup-list {
    width: 100%;
    margin-left: auto !important;
    margin-right: auto !important;
}

.over-text {
    display: flex;
    justify-content: center;
}

.check-width {
    text-align: center;
    vertical-align: middle;
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden !important;
    color: #fff;
}

.student-attendance.check-attedance.active {
    background-color: yellow
}

.teacher-name-daily-report {
    min-width: 400px;
}

.student-id {
    width: 90px;
}

.tab-item {
    max-width: 30%;
    display: inline-block;
    white-space: nowrap;
    overflow: hidden !important;
    text-overflow: ellipsis;
}

.enable-tab {
    max-width: fit-content;
}

.status-and-btn {
    display: flex;
    justify-content: space-between;
}

.info-class-gr:not(:first-child) {
    margin-left: 20px;
}

.info-attendance-gr {
    display: flex;
}

@media (max-width:1024px) {
    .btn-row {
        display: block !important;
    }

    .column-date, .student-attendance {
        display: none;
    }

        .column-date.active, .student-attendance.active, .column-date.show, .student-attendance.show {
            display: table-cell;
        }

    #empTable td, #empTableAll td {
        font-size: 14px;
    }

    #empTableAll {
        max-width: 735px;
    }

    .btn-get-all {
        margin-left: 7px !important;
        margin-top: 20px;
    }

    .table-get-all, .table-class-list.show, .table-makeup, .table-makeup-list.show {
        overflow: auto;
        white-space: nowrap;
    }

    .column-date.show {
        display: table-cell;
    }

    .column-date.hide {
        display: table-cell;
    }

    .show-all-table {
        display: block;
        color: #fff;
        background-color: #13a42b;
        border-color: #13a42b;
        margin-left: 15px;
    }

    #topBar .btn:hover {
        color: #fff;
    }

    .table-class-list.show {
        display: block;
    }

    .table-makeup-list.show {
        display: block;
    }

    .status-and-btn {
        display: block;
    }

    .btn-edit-class {
        margin-top: 15px;
    }

    td.student-name {
        width: 8rem;
    }
}

@media (max-width:767px) {
    td.student-name {
        width: 9rem;
    }

    .btn-save-get-all {
        margin-top: 20px;
    }

    .teacher-name-daily-report {
        min-width: auto;
    }

    .current-week {
        display: flex;
        flex-direction: column;
    }

        .current-week > span {
            margin: 0 !important;
        }

    .tab-item {
        display: inline-block;
        white-space: nowrap;
        overflow: hidden !important;
        text-overflow: ellipsis;
    }

    .status-and-btn i.fas.fa-info-circle {
        font-size: 14px;
    }

    .info-class-gr span {
        font-size: 15px;
    }

    .info-class-gr:not(:first-child) {
        margin-left: 0;
    }

    .info-attendance-gr {
        display: block;
    }

    #empTable {
        display: block !important;
    }
}

@media (max-width:991px) {
    .time-container {
        flex-direction: column;
    }

    #topBar .btn-gr {
        display: flex;
    }
}

@media (max-width: 1280px) {
    .tab-name-attendance {
        flex-direction: column-reverse;
    }

    .current-week {
        margin-left: 0 !important;
        margin-bottom: 16px;
    }

    .student-attendance-title {
        flex-direction: column;
    }

    .student-attendance-title-text {
        margin-bottom: 0 !important;
        margin-left: 15px !important;
    }

    .select-week-container {
        margin-left: 15px;
    }

        .select-week-container > div {
            padding-left: 0 !important;
        }
}

@media (min-width:1280px) {
    .search-class {
        margin-left: 30px;
    }
}

@media (max-width: 1280px) and (min-width:768) {
    .course-block {
        font-size: 15px;
    }
}

#otherClassWrapper .table-bordered {
    border: none;
}

.student-attendance {
    vertical-align: middle !important;
}

    .student-attendance.make-up {
        background-color: #2fb645c7;
    }

    .student-attendance.check-attedance.active.make-up {
        background-color: #2fb645c7;
    }

.selectOther {
    margin-top: 4px;
}

.report-info {
    display: block;
    cursor: pointer;
    color: #212529;
    margin-bottom: 10px;
}

    .report-info:hover {
        color: #212529;
        text-decoration: none;
    }

.class-report {
    border: 1px solid #ced4da;
    padding: 15px;
    border-radius: 5px;
    height: 100%;
}

.absent-list-popup, .student-progress-popup, .student-progress-overall-popup, .highschool-student-overall-popup, .student-overall-popup, .student-overall-popup-sttc, .student-progress-popup-ttc, .confirm-delete-makeup, .student-image-popup, .student-medical-popup {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    z-index: 10000;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: rgba(0, 0, 0, 0.6);
}

.homework-list-popup {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    z-index: 10000;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: rgba(0, 0, 0, 0.6);
}

.SOQ-list-popup {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    z-index: 10000;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: rgba(0, 0, 0, 0.6);
}

.student-image {
    width: fit-content;
    overflow-y: hidden !important;
    padding-bottom: 30px;
    padding-top: 40px !important;
    position: relative;
}

.image-content {
    position: absolute;
    right: 20px;
    top: 10px;
    cursor: pointer
}

#wemt-report table.report-table {
    border-collapse: collapse;
    width: 100%;
    margin-bottom: 20px;
    font-size: 12px;
}

#wemt-report .report-table td, #wemt-report .report-table th {
    border: 1px solid #dddddd;
    text-align: center;
    padding: 10px 5px;
    min-width: 44px;
}

#wemt-report .report-table th {
    background-color: #172b49;
    color: #fff;
}

#wemt-report .report-table th {
    font-weight: 500;
}

#wemt-report .type-title {
    color: #f7898a;
    margin-bottom: 5px;
}

#wemt-report hr {
    height: 2px !important;
    width: 100% !important;
    background-color: #f7898a;
    margin-bottom: 0px;
}

#wemt-report .above-avg, #wemt-report .above-avg > a {
    color: #0026ff;
}

#wemt-report .below-avg, #wemt-report .below-avg > a {
    color: #ff0000;
}

#wemt-report .report-table a {
    text-decoration: underline;
}

#wemt-report .import-term-test {
    background-color: #e7e7e78c;
}

#wemt-report .test-time {
    font-size: 11px;
    font-weight: 400;
    color: black;
}

#wemt-report .total-test-time > td {
    font-size: 14px;
    background-color: #dbdbdb;
    font-weight: 500;
}

#wemt-report .date-online-hw {
    font-size: 11px;
    font-weight: 400;
    color: black;
    padding-top: 6px;
}

#wemt-report .accordion__item__header {
    /*background-color: #003349;*/
    padding: 5px;
    cursor: pointer;
    position: relative;
    /*color: #fff;
        font-family: Arial;
        font-weight: 400;
        font-size: 20px*/
}

    #wemt-report .accordion__item__header::before {
        height: 10px;
        width: 10px;
        content: "";
        position: absolute;
        right: 15px;
        top: 35px;
        transition: .5s all;
        transform: rotate(-135deg);
        border-right: 2px solid #f7898a;
        border-bottom: 2px solid #f7898a;
    }

    #wemt-report .accordion__item__header.active {
        /*background-color: #33a0ff;
        color: #fff;*/
        transition: .4s
    }

        #wemt-report .accordion__item__header.active::before {
            transform: rotate(45deg);
            top: 33px
        }


#highschool-report table.report-table {
    border-collapse: collapse;
    width: 100%;
    margin-bottom: 20px;
    font-size: 12px;
}

#highschool-report .report-table td, #highschool-report .report-table th {
    border: 1px solid #dddddd;
    text-align: center;
    padding: 10px 5px;
    min-width: 44px;
}

#highschool-report .report-table th {
    background-color: #172b49;
    color: #fff;
}

#highschool-report .report-table th {
    font-weight: 500;
}

#highschool-report .type-title {
    color: #f7898a;
    margin-bottom: 5px;
}

#highschool-report hr {
    height: 2px !important;
    width: 100% !important;
    background-color: #f7898a;
    margin-bottom: 0px;
}

#highschool-report .above-avg, #highschool-report .above-avg > a {
    color: #0026ff;
}

#highschool-report .below-avg, #highschool-report .below-avg > a {
    color: #ff0000;
}

#highschool-report .report-table a {
    text-decoration: underline;
}

#highschool-report .import-term-test {
    background-color: #e7e7e78c;
}

#highschool-report .test-time {
    font-size: 11px;
    font-weight: 400;
    color: black;
}

#highschool-report .total-test-time > td {
    font-size: 14px;
    background-color: #dbdbdb;
    font-weight: 500;
}

#highschool-report .date-online-hw {
    font-size: 11px;
    font-weight: 400;
    color: black;
    padding-top: 6px;
}

#highschool-report .accordion__item__header {
    /*background-color: #003349;*/
    padding: 5px;
    cursor: pointer;
    position: relative;
    /*color: #fff;
        font-family: Arial;
        font-weight: 400;
        font-size: 20px*/
}

    #highschool-report .accordion__item__header::before {
        height: 10px;
        width: 10px;
        content: "";
        position: absolute;
        right: 15px;
        top: 35px;
        transition: .5s all;
        transform: rotate(-135deg);
        border-right: 2px solid #f7898a;
        border-bottom: 2px solid #f7898a;
    }

    #highschool-report .accordion__item__header.active {
        /*background-color: #33a0ff;
        color: #fff;*/
        transition: .4s
    }

        #highschool-report .accordion__item__header.active::before {
            transform: rotate(45deg);
            top: 33px
        }

#sttc-report table.report-table {
    border-collapse: separate;
    border-spacing: 0;
    width: 100%;
    margin-bottom: 20px;
    font-size: 12px;
    position: relative;
}

#sttc-report table th {
    /* Apply both top and bottom borders to the <th> */
    border-top: 1px solid #c9c5c5;
    border-bottom: 1px solid #c9c5c5;
    border-right: 1px solid #c9c5c5;
}

#sttc-report table td {
    /* For cells, apply the border to one of each side only (right but not left, bottom but not top) */
    border-bottom: 1px solid #c9c5c5;
    border-right: 1px solid #c9c5c5;
}

    #sttc-report table th:first-child,
    #sttc-report table td:first-child {
        /* Apply a left border on the first <td> or <th> in a row */
        border-left: 1px solid #c9c5c5;
    }

.border-top-0 {
    border-top: 0 !important;
}

.border-left-0 {
    border-left: 0 !important;
}

#sttc-report table.report-table th {
    position: sticky;
    top: 0px;
}

#sttc-report table.report-table thead {
    position: sticky;
    top: 0px;
}

#sttc-report .second-row {
    top: 38px !important;
}

#sttc-report .report-table td, #sttc-report .report-table th {
    /*border: 1px solid #c9c5c5;*/
    text-align: center;
    padding: 10px 5px;
    min-width: 40px;
}

#sttc-report .report-table td {
    height: 37px;
}

#sttc-report .report-table th {
    font-weight: 500;
}

#sttc-report .type-title {
    color: #003399;
    margin-bottom: 5px;
}

#sttc-report hr {
    height: 2px !important;
    width: 100% !important;
    color: #003399;
    margin-bottom: 0px;
}

.above-avg, .above-avg > a {
    color: #0026ff;
}

.below-avg, .below-avg > a {
    color: #ff0000;
}

#sttc-report .report-table a {
    text-decoration: underline;
}

#sttc-report .import-term-test {
    background-color: #e7e7e78c;
}

#sttc-report .accordion__item__header {
    /*background-color: #003349;*/
    padding: 5px;
    cursor: pointer;
    position: relative;
    /*color: #fff;
        font-family: Arial;
        font-weight: 400;
        font-size: 20px*/
}

    #sttc-report .accordion__item__header::before {
        height: 10px;
        width: 10px;
        content: "";
        position: absolute;
        right: 15px;
        top: 35px;
        transition: .5s all;
        transform: rotate(-135deg);
        border-right: 2px solid #003399;
        border-bottom: 2px solid #003399;
    }

    #sttc-report .accordion__item__header.active {
        /*background-color: #33a0ff;
        color: #fff;*/
        transition: .4s
    }

        #sttc-report .accordion__item__header.active::before {
            transform: rotate(45deg);
            top: 33px
        }

#sttc-report .accordion__item__content {
    overflow-y: hidden;
    padding: 0;
}

.bg-black {
    background-color: #333333;
    color: #fff;
}

.bg-blue-xs {
    background-color: #f1f3f2;
}

.bg-blue-sm {
    background-color: #d2dfff;
}

.bg-blue-md {
    background-color: #495dbc;
    color: #fff;
}

.bg-blue-lg {
    background-color: #2d3192;
    color: #fff;
}

#sttc-report .text-sm {
    font-size: 12px;
    font-weight: 400;
    margin-top: 5px;
}

#sttc-report .text-md {
    font-size: 13px;
}

#sttc-report .text-lg {
    font-size: 14px;
}

.rank-available {
    background-color: #cccccc;
    color: #ce2121;
    text-align: center;
    font-size: 14px;
    font-weight: 500;
}

.sttc-note {
    font-size: 12px;
    font-weight: 500;
    color: #003399;
    text-align: center;
    padding-bottom: 15px;
}

#sttc-report .table-container {
    max-height: 500px;
    overflow-y: auto;
}

#sttc-report .table {
    position: sticky;
    top: 0;
    width: 100%;
}


#loading {
    background: url('/images/ajax-loader.gif') no-repeat center center;
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    z-index: 9999999;
}

#wemt-report .accordion__item__content {
    overflow-y: hidden;
    padding: 0;
}

.absent-list-popup.active, .student-progress-overall-popup.active, .student-progress-popup.active, .student-progress-popup-ttc.active, .student-overall-popup.active, .student-overall-popup-sttc.active, .highschool-student-overall-popup.active, .student-image-popup.active, .student-medical-popup.active, .confirm-delete-makeup.active {
    display: flex;
}

.student-progress-overall-popup.active .student-progress {
    overflow:hidden;
}

    .homework-list-popup.active {
        display: flex;
    }

.SOQ-list-popup.active {
    display: flex;
}

.absent-list, .daily-progress, .student-progress {
    background: #ffffff;
    padding-top: 30px;
    border-radius: 5px;
    overflow-x: scroll;
    padding: 1rem;
}

.close-popup {
    float: right;
    cursor: pointer;
    width: 20px;
    height: 20px;
    line-height: 20px;
    text-align: center;
}

.close-popup-homework {
    float: right;
    cursor: pointer;
    width: 20px;
    height: 20px;
    line-height: 20px;
    text-align: center;
}

.close-popup-soq {
    float: right;
    cursor: pointer;
    width: 20px;
    height: 20px;
    line-height: 20px;
    text-align: center;
}

.course-block {
    margin-bottom: 40px;
}

.class-title {
    position: absolute;
    margin-top: -25px;
    font-size: 12px;
    padding: 0 5px;
    background-color: #ffffff;
}

.switch {
    position: relative;
    display: block;
    width: 35px;
    height: 22px;
    margin-left: auto;
    margin-right: 0;
}

    .switch input {
        opacity: 0;
        width: 0;
        height: 0;
    }

input:checked + .slider {
    background-color: #2abc40;
}

.slider.round {
    border-radius: 34px;
}

.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
}

    .slider.round:before {
        border-radius: 50%;
    }

    .slider:before {
        position: absolute;
        content: "";
        height: 14px;
        width: 14px;
        left: 4px;
        bottom: 4px;
        background-color: white;
        -webkit-transition: .4s;
        transition: .4s;
    }

input:checked + .slider:before {
    -webkit-transform: translateX(14px);
    -ms-transform: translateX(14px);
    transform: translateX(14px);
}

.search-gr {
    border-bottom: 1px solid #00000047;
    padding-bottom: 35px;
}

.class-gr {
    padding-top: 30px;
    max-height: 400px;
}

.teacher-gr {
    margin-bottom: 15px;
    display: flex;
}

.teacher-image {
    margin-right: 20px;
}

    .teacher-image .image {
        width: 70px;
        height: 70px;
        border-radius: 50%;
    }

.teacher-name {
    margin-top: 8px;
}

    .teacher-name p {
        margin-bottom: 10px;
    }


.teacher-info, .student-info {
    display: flex;
    justify-content: space-between;
}

#studentName {
    min-width: 300px;
}

.student-progress {
    overflow-y: scroll;
}

#Comment {
    width: 100%;
    margin-top: 20px;
}

#Comment4Admin{
    width: 100%;
    margin-top: 20px;
}

#CommentSTTC {
    width: 100%;
    margin-top: 20px;
}

.btn-save-report, .btn-save-report-sttc {
    float: right;
    background-color: #1c98c3;
    color: #ffffff;
    padding: 5px 25px;
    margin: 20px 0 0;
}

.category-work-habits input, .category-participation input, .category-behaviour input {
    cursor: pointer;
}

.student-name img {
    margin-top: -4px;
}

.Score-popup {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    z-index: 10000;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: rgba(0, 0, 0, 0.6);
}

    .Score-popup.active {
        display: flex;
    }

.close-popup-score {
    float: right;
    cursor: pointer;
    width: 20px;
    height: 20px;
    line-height: 20px;
    text-align: center;
}

.absent-list {
    overflow-y: scroll
}

.Vocab-list-popup {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    z-index: 10000;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: rgba(0, 0, 0, 0.6);
}

.close-popup-vob {
    float: right;
    cursor: pointer;
    width: 20px;
    height: 20px;
    line-height: 20px;
    text-align: center;
}

.Vocab-list-popup.active {
    display: flex;
}

.Smath-list-popup {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    z-index: 10000;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: rgba(0, 0, 0, 0.6);
}

.close-popup-smath {
    float: right;
    cursor: pointer;
    width: 20px;
    height: 20px;
    line-height: 20px;
    text-align: center;
}

.Smath-list-popup.active {
    display: flex;
}

.ReWriting-list-popup {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    z-index: 10000;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: rgba(0, 0, 0, 0.6);
}

.close-popup-rewriting {
    float: right;
    cursor: pointer;
    width: 20px;
    height: 20px;
    line-height: 20px;
    text-align: center;
}

.ReWriting-list-popup.active {
    display: flex;
}

.OCP-list-popup {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    z-index: 10000;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: rgba(0, 0, 0, 0.6);
}

.close-popup-ocp {
    float: right;
    cursor: pointer;
    width: 20px;
    height: 20px;
    line-height: 20px;
    text-align: center;
}

.OCP-list-popup.active {
    display: flex;
}

.Reading-list-popup {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    z-index: 10000;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: rgba(0, 0, 0, 0.6);
}

.close-popup-reading {
    float: right;
    cursor: pointer;
    width: 20px;
    height: 20px;
    line-height: 20px;
    text-align: center;
}

.Reading-list-popup.active {
    display: flex;
}

button:disabled {
    cursor: auto;
}

.fetch-data-btn {
    text-align: right;
}

.tab-name label {
    display: inline-block;
    vertical-align: bottom;
    margin-right: -4px;
    margin-bottom: -1px;
    margin-left: -1px;
    background: #EEE;
    padding: 12px 12px;
    border: solid 1px #DDD;
    border-radius: 5px 5px 0 0;
    cursor: pointer;
    background-color: #EEE;
    text-transform: uppercase;
    font-size: 11px;
    letter-spacing: 1px;
    box-shadow: 0 -1px 6px rgb(0 0 0 / 10%) inset;
    color: #666;
}

    .tab-name label:first-child {
        margin-left: 0;
    }

.attendance-tab input:nth-child(1):checked ~ .tab-name label:nth-child(1), .attendance-tab input:nth-child(2):checked ~ .tab-name label:nth-child(2), .attendance-tab input:nth-child(3):checked ~ .tab-name label:nth-child(3), .attendance-tab input:nth-child(4):checked ~ .tab-name label:nth-child(4), .attendance-tab input:nth-child(5):checked ~ .tab-name label:nth-child(5) {
    padding: 14px 12px;
    border-bottom-color: #FFF;
    background: #FFF;
    box-shadow: none;
    color: #000;
}

input[type=radio] {
    position: absolute;
    left: -9999px;
    top: -9999px;
}

.attendance-tab input:nth-child(1):checked ~ .tab-content li:nth-child(1), .attendance-tab input:nth-child(2):checked ~ .tab-content li:nth-child(2), .attendance-tab input:nth-child(3):checked ~ .tab-content li:nth-child(3), .attendance-tab input:nth-child(4):checked ~ .tab-content li:nth-child(4), .attendance-tab input:nth-child(5):checked ~ .tab-content li:nth-child(5) {
    display: block;
}

.tab-content li {
    display: none;
}

.attendance-makeup-tab .fa-check {
    color: #1d9939;
}

.attendance-makeup-tab .fa-times {
    color: #d12a2a;
}

.table-get-all td {
    vertical-align: middle;
}

.row-score.active-data {
    background-color: #FFFF00;
}

.absent-list .table {
    overflow-x: scroll;
}

.dropdown.text-white {
    cursor: pointer;
}

.Mark-Number {
    cursor: pointer;
}

/* 
.student-image-popup.active {
    display: block;
    margin: auto;
    padding-bottom: 50vh;
} */

#studentWriting .fade {
    opacity: 1 !important;
}
.sidebar.HideMenuForOP {
    display: none;
}
.col-menu.HideMenuForOP {
    visibility: hidden;
}
#wrapper.HideMenuForOP {
    grid-template-areas:
        "header header"
        "content content"
        "footer footer";
}
.wrapper_logo.HideMenuForOP, .header-profile.HideMenuForOP {
    pointer-events: none;
    cursor: default;
}